About space plan drawings

Show me an example

A space plan drawing is a visual record of your organization, as well as a tool that allows you to relocate and track people and assets from space to space within your facility. Use the Space Plan template to create a floor plan that contains data about all the spaces, personnel, and assets in your organization.

Click to show or hide information. Space plan process overview

To create a space plan, you start by opening the Space Plan template, and then add your building, personnel, and asset information in the following ways:

  • Add a floor plan that shows the locations of the offices and common areas in your building plan. To add a floor plan, you can insert a CAD drawing or draw your floor plan in Microsoft Visio.
  • Use space shapes to designate each separate area, such as offices and common areas in your drawing. To add spaces, you can use imported data or drag Space shapes from the Resources stencil onto the drawing.
  • Assign names and space identifiers (space IDs) to each of the space shapes in the drawing. To assign a name and space ID, you can use imported data or enter values manually.
  • Add assets and people to your drawing. To add assets and people, you can use imported data or drag shapes from the Resources stencil onto the drawing. You can enter data for assets and person shapes using the Custom Properties Window.

Click to show or hide information. Viewing space plan information

Once you've added information to your space plan, you can view it in two different ways. Use the drawing itself for a spatial view of your floor, or use the Category Explorer and Space Explorer for an organizational view of the data.

The Category Explorer displays a hierarchical view of the space plan information, which is grouped by categories such as spaces or people.

The Space Explorer displays a list of spaces in the drawing and all of the assets and people associated with each space.

Click to show or hide information. Using a space plan

After you create your space plan, you can use it to do the following:

  • Relocate people and assets by dragging their icons from one space to another space in the Explorer (Spaces tab). The drawing is updated automatically.
  • Update plan data. If your database information changes, use the Refresh Data command to update the data in the drawing.

Note In order to use the Refresh Data command, you must have mapped a field in the data source to the Key in the Import Data wizard.

  • Create reports from information in your reports. The template includes predefined reports that you can use or you can create your own report using the Report Definition Wizard.
  • Color code your drawing using custom properties. For example, you can color offices that belong to the accounting department red and offices that belong to the finance department blue. You can also include a legend to explain the color coding in the drawing.
  • Add labels to shapes in your drawing using the Label Shapes command. Labels are automatically created from custom properties.

Create a space plan


About importing external data into space plans

If you have a data source that includes information about your organization—for example, a human resource database that contains information about each employee in your company—you can import that data into your space plan drawing.

You can import data from:

  • Microsoft Excel spreadsheets
  • Microsoft Active Directory
  • Microsoft Exchange
  • ODBC data sources, such as Microsoft Access

Data is imported into specific space plan categories. You can only import data for one category at a time. For example, you can import data from a personnel database into the Person category, and then import data from a computer equipment database into the Computer category.

When you import data, you map fields in the data source to the following specific category properties:

Click to show or hide information. Name

The information in this field is displayed in the Explorer window, and in the shape text, once the data has been imported into the space plan.

Map the Name property to the field in your data source that most uniquely identifies the item in the category. For example, if you are importing data about spaces, map Name to the room number.

The field you map to should uniquely identify the items in the category. For example, if you are importing data about people, map to a unique field such as e-mail alias.

Click to show or hide information. Space ID

This field is used to place a shape representing the data you are importing on the space on the drawing page with the same Space ID value.

Map the Space ID property to the field in your data source that most uniquely identifies the space.

For example, if you are importing data about spaces or people, map Space ID to the room number. Because this property is used to match data with spaces on the drawing page, the space ID assigned to the space shape on the drawing page must match the space ID in the data source.

Note The same data source field may be mapped to two or more different properties.

Click to show or hide information. Building ID

This field is used to filter the data source for only those records relevant to the current drawing, or building.

Map the Building ID property to the field in your data source that identifies the building.

For example, if your data source has information about three different buildings, map Building ID to the field that identifies the building shown in your space plan.

Note If the field mapped to Space ID uniquely identifies each location, you do not need to map a field to Building ID.

Click to show or hide information. Key

This field links a single record in the data source to a single space shape in your drawing. This enables the space plan to be refreshed if the data source changes.

Map the Key property to the field in your data source that uniquely identifies each record.

If you are using a database that doesn't have a primary key, or if you are using an Excel spreadsheet, you can map this property to the field of your choice, as long as that field uniquely identifies each record.

If a data source field isn't mapped to Key, shapes are not linked to a record in the database. Thus, shapes can be placed in the drawing when the data is imported the first time, but they cannot be updated using the Refresh Data command.

You can also map data source fields to custom properties.

Click to show or hide information. Existing custom properties

For example, your personnel database may include fields for Department and Manager. You can map the information in these fields to predefined custom properties in the space plan. When you import the data, the custom property fields are populated with the information from the data source.

Click to show or hide information. New custom properties

In addition to mapping data source fields to existing category properties, you can create new properties from data source fields. For example, your database may include fields for Last Name and First Name. You can create new custom properties from these fields when you import the data.

After data is imported, it appears in the Explorer window (on the Categories and Spaces tabs). Imported data is placed on the drawing itself only when the space ID you specify for a person or asset matches the space ID of a space shape in the drawing.

Imported data that isn't matched to an existing space shape is placed in the Unplaced Data folder in the Explorer window. You can then drag the items from Unplaced Data onto the drawing as appropriate.

Note Any items left in Unplaced Data are deleted when the drawing is closed.

Imported data is stored in the drawing, so you can share the drawing without having to include the data source file. If the information in your data source changes, you can update the data in your space plan drawing.

Note In order to update data in the space plan drawing:

  • The data source must have a field that uniquely describes each record in the data source.
  • You must have defined this field as the Key the first time you imported the data.


About the Category and Space Explorers

The Explorer window contains two tabs, Categories and Spaces, that provide hierarchical views of your space plan and allow you to edit and arrange the contents of your entire plan from a central location.

Click to show or hide information. Category Explorer

The Category Explorer displays a hierarchical view of the elements in the space plan, grouped by category (Asset, Person, Space, etc.).

Click to show or hide information. Spaces Explorer

The Space Explorer displays a list of all the spaces in the drawing, which expand to show the people and assets associated with each space.

Click to show or hide information. Ways to use the Explorer window

Using the Explorer window, you can:

  • View lists of items in the drawing.

The Category Explorer provides a way to view the items in the drawing by category.

  • View asset location information.

The Space Explorer provides information about the locations of assets in your organization.

For example, an office or working area may contain two computers and a fax machine. In the space plan, you can associate the assets with the space. You can then use the Space Explorer to easily view what assets are located in which space.

  • Move and track items between pages.

Each page in your drawing can represent a floor in your facility. You can split floors across multiple pages.

The Explorer window provides an easy way to view information that spans floors.

For example, to move an employee from an office on one floor to an office to another floor manually, you would select and cut the person shape from one drawing page, change pages to the new floor, and then paste the person into the new office. Using the Space Explorer, you can simply drag the person from one space to another, causing the person shape to be moved in the drawing simultaneously.

  • Organize imported data.

The Spaces and Categories tabs in the Explorer window are containers for external data that is imported into the space plan. When data is brought in from an external data source, it may not initially have a location in the space plan. The Unplaced Data category in the Explorer provides a holding location to view the imported data items. You can then drag the items from Unplaced Data onto the drawing as appropriate.

For example, if you have imported data from a Microsoft Excel spreadsheet, the imported items are placed in Unplaced Data. You can then drag the items to the correct location on the drawing page.

Note Any items left in Unplaced Data are deleted when the drawing is closed.

Click to show or hide information. Working in the Explorer window

  • Click the plus icon to expand the headings. Click the minus icon to collapse the headings.
  • To locate and select the corresponding shape on the drawing page, expand a category, right-click an item, and then click Show.
  • To enter information about an item, expand a category, right-click the item, and then click Properties to open the Custom Properties dialog box.
  • To change the name of an item, expand a category, right-click the item, and then click Rename.
  • To associate an item with a space, drag an item from Unplaced Data to a space shape on the drawing page.
  • If you delete an item in the Explorer window, the corresponding shape on the drawing page will be removed. Likewise, when you delete a shape on the drawing page, the corresponding item in the Explorer is also deleted.

Note Any items left in the Unplaced Data category are deleted when the drawing is closed.


Create a space plan

  1. On the File menu, point to New, point to Building Plan, and then click Space Plan.

By default, this solution opens a scaled drawing page in landscape orientation Wide page. You can change these settings at any time.

  2. Create or insert a floor plan.

Click to show or hide information. Create a new floor plan

  1. Create the basic exterior wall structure in one of the following ways.

Click to show or hide information. Use room shapes

  1. From the Walls, Shell and Structure stencil, drag one of the room shapes onto the drawing page.
  2. Resize the room shape by dragging the control handles [image] and selection handles [image] on individual walls.

The value indicating wall length updates automatically.

Click to show or hide information. Use wall shapes

  1. From the Walls, Shell and Structure stencil, drag Exterior wall shapes onto the drawing page.
  2. Resize walls by dragging an endpoint ( [image] or [image]).

The values indicating wall length update automatically.

  3. Drag an endpoint ( [image] or [image]) of one wall to another wall.

The endpoints turn red when the walls are glued. Intersections between two walls get cleaned up automatically.

Note For walls to join properly, Glue to Shape geometry must be selected in the Snap & Glue dialog box.

  2. Create the interior wall structure.

Click to show or hide information. How?

  1. Drag Wall shapes onto the drawing page, positioning them inside the exterior structure.
  2. Resize walls by dragging an endpoint ( [image] or [image]).

The values indicating wall length update automatically.

  3. Drag an endpoint ( [image] or [image]) of one wall to another wall.

The endpoints turn red when the walls are glued. Intersections between two walls get cleaned up automatically.

Note For walls to join properly, Glue to Shape geometry must be selected in the Snap & Glue dialog box.

  3. Add other structural elements.

Click to show or hide information. How?

  1. From the Walls, Shell and Structure stencil, drag structural shapes, such as columns, onto the drawing page.
  2. From the Building Core stencil, drag building core shapes, such as stairs, onto the drawing page.
  4. Add doors and windows.

Click to show or hide information. How?

From the Walls, Shell and Structure stencil, drag door and window shapes on top of walls.

Doors and windows automatically rotate to align with the wall and glue to the wall. They also acquire the wall's thickness and move with walls when you reposition them.

Click to show or hide information. Insert a CAD floor plan

  1. On the Insert menu, click CAD Drawing.
  2. Under Files of type, select AutoCAD Drawing (*.dwg, *.dxf) or MicroStation Drawing (*.dgn). Locate the CAD file and click Open.
  3. To accept the size and location of the CAD drawing, click OK.

After you have inserted the drawing, you can resize it, change its scale, or move it. You can also lock the Visio layer that contains the CAD drawing.

Click to show or hide information. Copy and paste an existing Visio floor plan drawing into a new drawing

  1. Open an existing Visio drawing.
  2. On the File menu, click Page Setup, and then click the Scale tab. Make note of the scale setting in the existing drawing, and then set the scale of your new drawing to match.
  3. In the existing drawing, select the shapes you want to use in the new drawing and then, on the Edit menu, click Copy.
  4. Switch to the new drawing, and then, on the Edit menu, click Paste.

Click to show or hide information. Tip

You can lock the layers of the existing Visio drawing. By doing so, you can create a new drawing on top of the existing drawing without accidentally changing it.

  3. Designate each office or area in the drawing with a space shape.

Click to show or hide information. How?

  1. On the Plan menu, click Import Data.
  2. Follow the wizard pages to import data about spaces from an external data source.
  3. Open the Explorer window, and then click the Categories tab.
  4. Expand Unplaced Data, and then expand the Space category.
  5. Drag spaces on top of corresponding areas in the drawing.

Space shapes are added to the drawing.

  6. If a space shape isn't fitting in a space, you can adjust it manually to fit the office or area in the drawing.

Note Do not overlap space shapes.

Click to show or hide information. Tip

To edit a space shape, right-click it, and then click Edit. Or click the Pencil tool [image] on the toolbar.

  4. Add data about people and assets.

Click to show or hide information. How?

  1. On the Plan menu, click Import Data.
  2. Follow the wizard pages to import external data into the space plan.

Imported data appears in the Explorer window, on the Categories and Spaces tabs. Imported data that isn't matched to an existing space is placed in the Unplaced Data category.

  5. Associate people and assets with spaces.

Click to show or hide information. How?

  1. Open the Explorer window, and then click the Spaces tab.
  2. To associate an unplaced asset or person with a space, drag items from Unplaced Data onto corresponding spaces in the Space Explorer.

You can also drag unplaced items onto the appropriate space shapes in the drawing.

  6. Relocate people and assets, and update data.

Click to show or hide information. Relocate people and assets

  1. Open the Explorer window.
  2. On the Spaces tab, drag people or asset items from one space onto another space.

Moving items in the Space Explorer also moves the corresponding shapes on the drawing page.

Click to show or hide information. Update external data

  1. On the Plan menu, click Refresh Data.
  2. Select the check boxes for the categories that you want to update.
  3. Select other options as needed, and then click OK.

Note In order to update data in the space plan drawing:

  • The data source must have a field that uniquely describes each record in the data source.
  • You must have defined this field as the Key the first time you imported the data.
  7. Color code your space plan.

Click to show or hide information. How?

  1. On the Plan menu, click Color by Values.
  2. In the Shape category list, select the category of the shapes you want to color.
  3. In the Shape property list, select the property on which you want to base the color coding.
  4. In the Sample list, select the value to which you want to assign a color and pattern, and then click Change Color.
  5. In the Change Color dialog box, select a new color or pattern, and then click OK.
  6. To generate an explanatory list of colors on the drawing page, select the Create Legend check box, and then click OK.
  8. Create space plan reports.

Click to show or hide information. How?

From the Resources stencil, drag the Space Report or Asset Report shape onto the drawing page.

These shapes create a predefined report in tabular format.

Note You can create and customize your own reports using the Report Definition Wizard. On the Tools menu, point to Macros, point to Visio Extras, and then click Report.

Click to show or hide information. Tips

  • Each page in your drawing can represent a floor in your facility. You can also split floors across multiple pages.
  • Each Visio drawing file can represent multiple floors in your facility; however, don't put more than one building in a drawing file.
  • If you don't require a detailed floor plan of your building, you can use drawing tools to sketch your floor plan or just drag Space shapes onto the drawing page to designate offices.
  • You can create a space plan without importing data. How?


Assign Categories dialog box

Click to show or hide information. Category

Lists the predefined space plan categories. Click the category that you want to assign to the selected shape or shapes.

Click to show or hide information. Properties

Click to open the Properties dialog box, where you can associate the shape's current properties with predefined space plan properties.

This button is enabled only if there are properties on the selected shape.


Properties dialog box

Click to show or hide information. Properties

Lists the current properties on the selected shape or shapes. Click a property in the list to select it.

Click to show or hide information. Category Properties

Lists the predefined properties for the category that is selected in the Assign Category dialog box. Click a property in the list to select it.

Click to show or hide information. Add

Click to associate the properties that are selected in the Properties list and the Category Properties list.

Click to show or hide information. Remove

Click to remove the association that is selected in the Results list.

Click to show or hide information. Results

Lists the properties that have been associated.


Refresh Data dialog box

Click to show or hide information. Select Each Category To Refresh

Select the check boxes for the categories that you want to update.

Click to show or hide information. Update

All Pages Click to update the data on all pages in the drawing file.

Current Page Click to update the data on the active page.

Click to show or hide information. Options

Remove unconnected shapes Select this check box to delete shapes that are not connected to a record in the external data source.

Show report Select this check box to display a report of changes made to the drawing when refreshing external data.

Click to show or hide information. Tips

  • The Refresh Data command only updates data in your drawing if you specified a Key field in the Import Data wizard.
  • If you did not define a Key field, the Refresh Data command will bring in all the data from the data source, which may result in duplicate data in your drawing.
  • Selecting the Remove unconnected shapes option does not delete shapes that were added to the drawing by dragging from stencils.
  • You can prevent specific shapes from being removed by locking layers. For example, lock the Person layer to refresh asset shapes without removing person shapes from the drawing.


Select Master

Click to show or hide information. Master Name

Lists all masters of the same category available on the Resources stencil. To use a different master to represent a category on the drawing page, click the master name in the list.

Note Selecting a new master does not change any shapes that are currently on the drawing page. If you select a different master from the list, the new master is used when you drag an unplaced item from the Explorer onto the drawing page, or when you import data.

Click to show or hide information. Tip

To see more than one master in the list, you must create a new master, and add it to the Resources stencil.

For example, to see a new Space master, create a custom space shape on the drawing page, assign it to the Space category, and then add the shape to the Resources stencil to convert it to a master.


About Space and Boundary shapes in space plans

Use Space shapes to associate assets and people with a specific area, or office, and use the Boundary shape to create a boundary around several space shapes.

Click to show or hide information. Space shapes

Space shapes are central to your space plan, as they serve as the location containers for all personnel and assets in your organization. Using space shapes, you can track assets by individual offices. If you don't use space shapes, assets are tracked only by which floor (represented by a drawing page) they are on.

Before you place any asset or person shapes on the drawing page, drag a space shape onto each separate office area in your drawing. If the space shape isn't fitting in the area, you can adjust the space shape manually to fit.

To add space shapes to the drawing, you can do any of the following:

  • Import external data about spaces.
  • Use Space shapes.
  • Outline offices with rectangles, and then convert the rectangles to spaces using the Assign Category command.

Click to show or hide information. Boundary shapes

You can designate larger areas—such as departments—using the Boundary shape. Boundary shapes are used to designate boundaries and compute the area of one or more spaces.


Space plan example

Space plan showing one floor of an office building


About space plan categories

In a space plan, information about assets, people, and spaces is sorted into nine different categories. You can import data for any of these categories from an external data source.

Click to show or hide information. Location categories

The location categories are Space and Boundary. Spaces are containers for people and assets. A space usually represents an office or a common area in your space plan. Boundaries are containers for spaces. A boundary most often represents a department.

Click to show or hide information. Person category

The Person category tracks information about all the people in your organization. You can associate a person with a space, which allows you to track and report on the location of the person.

Click to show or hide information. Asset categories

The asset categories are Computer, Equipment, Furniture, Fixture, Printer, and Asset. You can use the generic Asset category to track assets of any kind, or you can track specific assets using categories such as Computer or Printer.

Each category has a set of predefined properties associated with it. You can easily modify the properties of a category, either manually or when you import data. For example, the Person category includes a property for Name, but you can also add properties for Last Name and First Name.

Each category is represented by a shape on the Resources stencil. If you have a shape that isn't associated with a category, you can create an association for it. For example, you might want to use a custom shape to represent all of your computers. You can associate this shape with either the Computer or the Asset category. Assigning a shape to a category automatically gives it the properties for that category.


Use space shapes to track asset and person location

  1. For each office, cubicle, or area in the drawing, add a space shape by doing one of the following:

Click to show or hide information. Use external data

  1. On the Plan menu, click Import Data.
  2. Follow the wizard pages to import data about spaces from an external data source.
  3. If it isn't already, open the Category Explorer window.
  4. Expand Unplaced Data, and then expand the Spaces category.
  5. From the Spaces category, drag spaces on top of the corresponding area in the drawing.
  6. If the space shape isn't fitting in the space, you can adjust the space shape manually to fit the office or area in the drawing.

Note Do not overlap space shapes.

Click to show or hide information. Tip

To edit a space shape, right-click it, and then click Edit. Or click the Pencil tool [image] on the toolbar.

Click to show or hide information. Use the Space shape

  1. From the Resources stencil, drag a Space shape on top of the area you want to designate as a space, such as an office.
  2. If the space shape isn't fitting in the space, you can adjust the space shape manually to fit the office or area in the drawing.

Note Do not overlap space shapes.

Click to show or hide information. Tip

To edit a space shape, right-click it, and then click Edit. Or click the Pencil tool [image] on the toolbar.

  3. Add an identifier to the space shape.

Click to show or hide information. How?

  1. Right-click the Space shape, and click Properties.
  2. In the Custom Properties dialog box, click the Name field, and then type the area identifier, such as office room number.

Use the Custom Properties Window to quickly add data to multiple space shapes.

Click to show or hide information. Use the Rectangle tool

  1. Use the Rectangle tool [image] to outline each of the areas of your drawing.
  2. Convert the rectangles to space shapes.

Click to show or hide information. How?

  1. Select the rectangles on the page.
  2. On the Plan menu, click Assign Categories.
  3. From the Categories list, click Spaces, and then click OK.
  3. Add an identifier to the space shape.

Click to show or hide information. How?

  1. Right-click the Space shape, and click Properties.
  2. In the Custom Properties dialog box, click the Name field, and then type the area identifier, such as office room number.

Use the Custom Properties Window to quickly add data to multiple space shapes.

  2. To track the location of assets and people, do one of the following:
  • Drag person and asset shapes from the Resources stencil onto space shapes on the drawing page.
  • Drag person and asset items from the Space Explorer onto space shapes on the drawing page.
  • Drag person and asset items from the Space Explorer onto space items in the Space Explorer.

Click to show or hide information. Tips

  • If you plan to use imported data, enter a value for the Space ID in the Custom Properties Window. The value you assign to Space ID must match the value found in the database. Most often the value of the Space ID will be the same as the Name.

For example, if the value of the office room number in the database is 1N101, then enter 1N101 in the Space ID field.

  • When you use space shapes, you can track assets by individual offices. If you don't use space shapes, the assets are tracked by the floor (represented by the drawing page) they are on.


Locate assets

You can locate assets in the drawing by using one of the following:

Click to show or hide information. Category or Space Explorer

  1. Open the Explorer window.
  2. On the Categories tab, expand a category; or on the Spaces tab, expand a space. Right-click the item you want to locate, and then click Show.

The corresponding shape on the drawing page is selected.

Click to show or hide information. Find command

  1. On the Edit menu, click Find.
  2. For Find what, type text that is associated with the shape you are looking for.

This can be text that appears on a shape, text stored in the shape's custom properties, or the shape name (for example, Person or Computer).

  3. Under Search in, click the locations you want to search.
  4. Click Find Next.

The Find command finds the first shape containing the text or data you want. If the text appears within a shape, the text is highlighted; if the text is found in a custom property, shape name, or cell, the shape is selected.


Assign shapes to a category

  1. Select the shapes on the drawing page that you want to assign to the same category.
  2. On the Plan menu, click Assign Category.
  3. From the Category list, select the category to which you want to assign the shapes.
  4. If the selected shapes have properties, you can associate these properties with predefined space plan category properties.

Click to show or hide information. How?

  1. Click Properties.
  2. In the Properties dialog box, under Properties, click the shape property.
  3. Under Category Properties, click the predefined category property, and then click Add to associate the two properties.
  4. Repeat steps 2 and 3 for each property that you want to associate with a category property.
  5. Click OK

Note Shape properties that you don't assign to pre-defined space plan category properties are preserved.

  5. Click OK.


Create a space plan report using report shapes

  1. From the Resources stencil, drag the Space Report or Asset Report shape onto the drawing page.

These shapes create a report in tabular format.

Click to show or hide information. Space report

The Space report shape creates a report on the spaces in your drawing, including information about the space name, area, use, and department.

Click to show or hide information. Asset report

The Asset report shape creates a report on the assets in your drawing, including information on space name and the names of the assets in the space.

  2. If items in the drawing change, you can refresh the information in the report.

To run the report again, right-click the shape, and then click Run Report.

Click to show or hide information. Tip

You can create and customize your own reports using the Report Definition Wizard. On the Tools menu, point to Macros, point to Visio Extras, and then click Report.


Display building information for a space plan

  1. From the Resources stencil, drag the Title block shape onto the drawing page.
  2. With the title block selected, on the Shape menu, click Custom Properties.
  3. In the Custom Properties dialog box, type or select a value for each custom property field.

Note Always enter information into the Title block shape as custom properties.


Import data from an external data source

  1. On the Plan menu, click Import Data.
  2. Follow the wizard pages to import external data into the space plan.

If the imported data is matched to an existing space, then the data is listed under the corresponding space in the Space Explorer, and a shape representing the data is added to the space shape on the drawing.

Imported data that isn't matched to an existing space is automatically placed in Unplaced Data on both Explorer tabs.

Click to show or hide information. Example 1: Import data for spaces

In this example, the external data source is a Microsoft Excel spreadsheet.

  1. On the Plan menu, click Import Data.
  2. In the Category list, click Space, and then click Next.
  3. In the Source list, click Excel. Enter the File and Worksheet information for the Excel spreadsheet, and then click Next.
  4. Fill in the name and location information for spaces, and then click Next.

Click to show or hide information. How?

  1. In the Name list, click the data source field that uniquely identifies each space, such as a room number or office number.
  2. In the Space ID list, click the data source field that uniquely identifies each space, such as a room number or office number. This value in this field will be used to place assets or people onto spaces in the drawing.

Note When importing space information, Name and Space ID can point to the same field.

  3. In the Building ID list, click the data source field that contains the building name or identifier.

If there isn't any data about the building in your data source, click <None>.

  4. In the Key list, click the data source field that uniquely identifies each record in the data source, such as the same value you use for the Name field.

You must define a key if you want to use the Refresh Data command.

  5. Match the fields in your data source with the properties defined for the space category, and then click Next.

Click to show or hide information. How?

  1. In the Fields list, click an item.
  2. In the Properties list, click the property to which you want to relate the field.

If there is no related item in the Properties list, and you would like to create a new custom property from a database field, click <New>.

  3. Click Add.

Information in the data source fields is automatically entered in custom property fields in the drawing.

  6. Type or select the Building ID, select the options you want, and then click Finish.

Note If you selected <None> for Building ID earlier in the wizard, this field is disabled.

Imported data about spaces is always placed in the Explorer window under Unplaced Data.

Click to show or hide information. Example 2: Import data for personnel

In this example, the external data source is a Microsoft Access database. Before you can use an ODBC data source you must define a data source name (DSN).

  1. On the Plan menu, click Import Data.
  2. In the Category list, click Person, and then click Next.
  3. In the Source list, click ODBC, and then click Next.
  4. Specify the data source, catalog and table, and then click Next.

Click to show or hide information. How?

  1. In the Data Source list, click the data source name (DSN) for the data source.
  2. In the Catalog list, click the catalog for the data source.
  3. In the Tables list, click the table that contains the data.
  5. Fill in the name and location information for people, and then click Next.

Click to show or hide information. How?

  1. In the Name list, click the data source field that uniquely identifies each person, such as a name, employee number, or e-mail alias.
  2. In the Space ID list, click the data source field whose value matches the Space ID field of the space shape where this person will be placed.

If you do not define Space ID, the data will not be placed on the drawing, but will appear in the Unplaced Data category in the Explorer window.

  3. In the Building ID list, click the data source field that contains the building name or identifier.

If there isn't any data about the building, click <None>.

  4. In the Key list, click the data source field that uniquely identifies each record in the data source.

You must define a key if you want to use the Refresh Data command.

  6. Match the fields in your data source with the properties defined for the space category, and then click Next.

Click to show or hide information. How?

  1. In the Fields list, click an item.
  2. In the Properties list, click the property to which you want to relate the field.

If there is no related item in the Properties list, and you would like to create a new custom property from a database field, click <New>.

  3. Click Add.

Information in the data source fields is automatically entered in custom property fields in the drawing.

  7. Type or select the Building ID, select the options you want, and then click Finish.

If you selected <None> for Building ID earlier in the wizard, this field is disabled.

Imported data about personnel that is matched to an existing space shape is automatically placed in the drawing and in the Explorer window. Data that does not match an existing space is always placed in Unplaced Data.


Associate a person with a space

Click to show or hide information. Using the Space Explorer

  1. Open the Explorer window.

Click to show or hide information. Tips

  • To open the Explorer window, on the Plan menu, click Explorer.
  • When the window is hidden, move your pointer over its title bar to make it reappear.
  • To make an anchored window stick open when you are not using it, click the pushpin icon [image] in its title bar.
  2. On the Spaces tab, do one of the following:
  • Drag a person item from one space onto another space.
  • Drag a person item from Unplaced Data onto a space.

Click to show or hide information. Using shapes on the drawing page

  1. From the Resources stencil, drag a Person shape onto a space on the drawing page.

Click to show or hide information. Tip

If there isn't enough room in your space shape for the person shape, you can drag the control handle [image] on the person shape into the space shape to create the association.

  2. To add personnel information, right-click the person shape, and then click Properties.
  3. In the Custom Properties dialog box, click in each custom property field, and then type or select a value.

Note The shape's text reflects the value entered for Name in the Custom Properties dialog box.


Associate an asset with a space

Click to show or hide information. Using the Space Explorer

  1. Open the Explorer window.

Click to show or hide information. Tips

  • To open the Explorer window, on the Plan menu, click Explorer.
  • When the window is hidden, move your pointer over its title bar to make it reappear.
  • To make an anchored window stay open when you are not using it, click the pushpin icon [image] in its title bar.
  2. On the Spaces tab, do one of the following:
  • Drag asset items from one space onto another space.
  • Drag asset items from Unplaced Data onto a space.

Click to show or hide information. Using shapes on the drawing page

  1. From the Resources stencil, drag an asset shape onto a space on the drawing page.

Click to show or hide information. Tip

You can also place the asset anywhere on the page, and then drag the control handle [image] on the asset shape into the space shape to create the association.

  2. To associate assets with a floor, drag an asset onto an open area of the drawing page, rather than onto a space shape. For example, you can associate a fax machine or printer that doesn't belong to a specific person or department with a floor.


Use the Boundary shape

  1. From the Resources stencil, drag the Boundary shape on top of the spaces around which you want to create a boundary.
  2. To resize the boundary, drag a selection handle [image].

The shape's text is updated automatically to reflect the new square footage of the boundary.

  3. To make the boundary fit a nonrectangular area, use the Pencil tool [image] to adjust its shape.

Click to show or hide information. How?

  1. Click the Pencil tool [image].
  2. Click the vertex [image] that you want to move.
  3. Drag the vertex to its new position.
  4. To add a new vertex, press CTRL while you click on the boundary line.

A boundary shape edited manually to fit an L shape.

Add vertices to the boundary shape by pressing CTRL while you click the shape with the Pencil tool (A). Then drag the outer corner vertex to create an L shape (B).

Note If you use the Pencil tool to reshape a boundary, the area will recalculate only if the dashed green box surrounding the shape is resized.

  4. Label the boundary.

Click to show or hide information. How?

  1. Right-click the boundary, and then click Properties.
  2. In the Custom Properties dialog box, click the Name field, and then type the area identifier, such as office room number.

The shape's text is updated automatically.


Update imported data

Note The Refresh Data command works only if the data source contains a field that uniquely identifies each record in the data source, and you specified that field as the Key when you first imported the data.

  1. On the Plan menu, click Refresh Data.
  2. In the Refresh Data dialog box, select the check boxes for the categories that you want to update.
  3. Under Update, specify whether to update data on all pages in the document or on the currently selected page.
  4. Under Options, specify whether or not to remove shapes without data connected to them and whether or not to show a report of the results.
  5. Click OK.


Move a person or asset from one office to another

Click to show or hide information. Using the Space Explorer

  1. Open the Explorer window.
  2. On the Spaces tab, do one of the following:
  • Drag people or asset items from one space onto another space.
  • Drag people or asset items from Unplaced Data onto a space.

Click to show or hide information. Using shapes on the drawing page

On the drawing page, drag people or assets from one space to another space.


Troubleshooting space plans

Click to show or hide information. The space shapes are larger than my offices.

The Space shape is based on a scale. You can change the scale of the drawing to match the scale of your offices or you can use the Pencil tool [image] to adjust the space shape manually to fit the office or area in the drawing.

Click to show or hide information. I adjusted the space shape to fit the office, but the font is still too large.

You can change the font size. Select the space shape, and select a smaller point size in the Font Size box on the Formatting toolbar.

Click to show or hide information. I don't see the space shapes I added to the drawing.

The space shape may be behind another object in the drawing. Use the Find command to locate the space shape, and then use the Bring Forward command bring the space to the front of the other object.

Click to show or hide information. Data isn't being added to space shapes in the drawing.

If you are using data imported from an external data source, make sure that the Space ID assigned to the space shape on the drawing page matches the Space ID in the data source.

For example, if the Space ID is 1N101 in the data source, then the Space ID assigned to the space shape on the drawing page must also be 1N101.

Click to show or hide information. The Refresh Data command isn't updating my space plan.

In order to use the Refresh Data command to update data in the drawing:

  • The data source must have a field that uniquely describes each record in the data source.
  • You defined this field as the Key when you imported the data the first time.

Click to show or hide information. Only one master appears in the Select Master dialog box.

To see more than one master in the list, you must create a new master. Draw or select a shape on the drawing page, assign it to the category you want it to represent, and then place it on the Resources stencil.

Click to show or hide information. I selected a new master but the shapes on the page are the same.

Selecting a new master does not change any shapes that are currently on the drawing page. If you select a different master from the list, the new master is used when you drag a new item from one of the explorer windows onto the drawing page or when you import data.

Click to show or hide information. The text in the person shape is too large for the shape.

On smaller drawings or drawings with a larger scale, the text on the Person shape may be too large. To resize the text in all person shapes, open the document stencil and revise the master with a smaller font.


Create a space plan without external data

  1. Open the Space Plan template, and then create or insert a floor plan.

Click to show or hide information. Create a new floor plan

  1. Create the basic exterior wall structure in one of the following ways.

Click to show or hide information. Use room shapes

  1. From the Walls, Shell and Structure stencil, drag one of the room shapes onto the drawing page.
  2. Resize the room shape by dragging the control handles [image] and selection handles [image] on individual walls.

The value indicating wall length updates automatically.

Click to show or hide information. Use wall shapes

  1. From the Walls, Shell and Structure stencil, drag Exterior wall shapes onto the drawing page.
  2. Resize walls by dragging an endpoint ( [image] or [image]).

The values indicating wall length update automatically.

  3. Drag an endpoint ( [image] or [image]) of one wall to another wall.

The endpoints turn red when the walls are glued. Intersections between two walls get cleaned up automatically.

Note For walls to join properly, Glue to Shape geometry must be selected in the Snap & Glue dialog box.

  2. Create the interior wall structure.

Click to show or hide information. How?

  1. Drag Wall shapes onto the drawing page, positioning them inside the exterior structure.
  2. Resize walls by dragging an endpoint ( [image] or [image]).

The values indicating wall length update automatically.

  3. Drag an endpoint ( [image] or [image]) of one wall to another wall.

The endpoints turn red when the walls are glued. Intersections between two walls get cleaned up automatically.

Note For walls to join properly, Glue to Shape geometry must be selected in the Snap & Glue dialog box.

  3. Add other structural elements.

Click to show or hide information. How?

  1. From the Walls, Shell and Structure stencil, drag structural shapes, such as columns, onto the drawing page.
  2. From the Building Core stencil, drag building core shapes, such as stairs, onto the drawing page.
  4. Add doors and windows.

Click to show or hide information. How?

From the Walls, Shell and Structure stencil, drag door and window shapes on top of walls.

Doors and windows automatically rotate to align with the wall and glue to the wall. They also acquire the wall's thickness and move with walls when you reposition them.

Click to show or hide information. Insert a CAD floor plan

  1. On the Insert menu, click CAD Drawing.
  2. Under Files of type, select AutoCAD Drawing (*.dwg, *.dxf) or MicroStation Drawing (*.dgn). Locate the CAD file and click Open.
  3. To accept the size and location of the CAD drawing, click OK.

After you have inserted the drawing, you can resize it, change its scale, or move it. You can also lock the Visio layer that contains the CAD drawing.

Click to show or hide information. Copy and paste an existing Visio floor plan drawing into a new drawing

  1. Open an existing Visio drawing.
  2. On the File menu, click Page Setup, and then click the Scale tab. Make note of the scale setting in the existing drawing, and then set the scale of your new drawing to match.
  3. In the existing drawing, select the shapes you want to use in the new drawing and then, on the Edit menu, click Copy.
  4. Switch to the new drawing, and then, on the Edit menu, click Paste.

Click to show or hide information. Tip

You can lock the layers of the existing Visio drawing. By doing so, you can create a new drawing on top of the existing drawing without accidentally changing it.

  2. Add a space shape to each office or area in the drawing.

Click to show or hide information. How?

  1. From the Resources stencil, drag a Space shape on top of the area you want to designate as a space, such as an office.
  2. If the space shape isn't fitting in the space, you can adjust the space shape manually to fit the office or area in the drawing.

Note Do not overlap space shapes.

Click to show or hide information. Tip

To edit a space shape, right-click it, and then click Edit. Or click the Pencil tool [image] on the toolbar.

  3. Add an identifier to the space shape.

Click to show or hide information. How?

  1. Open the Custom Properties Window.
  2. Select the space shape on the drawing page.
  3. Click the Name field, and then type the name of the space, such as office room number.
  3. Associate people and assets with spaces.

Click to show or hide information. How?

  1. To associate a person with a space, from the Resources stencil, drag a Person shape onto the Space shape.
  2. To associate an asset with a space, from the Resources stencil, drag an asset shape onto the Space shape.
  4. Add data about people and assets.

Click to show or hide information. How?

  1. On the View menu, click Custom Properties Window.
  2. On the drawing page, select the shape to which you would like to add data.
  3. Click in each custom property field and type or select a value.
  5. Move people and assets.

Click to show or hide information. How?

  1. Open the Explorer window.
  2. On the Spaces tab, drag people or assets from one space onto another space.

When you drag items in the Space Explorer, the shapes on the drawing page are relocated automatically.

Click to show or hide information. Tips

  • Each page in your drawing can represent a floor in your facility. You can also split floors across multiple pages.
  • Each Visio drawing file can represent multiple floors in your facility; however, don't put more than one building in a drawing file.
  • If you don't require a detailed floor plan of your building, you can use drawing tools to sketch your floor plan or just drag Space shapes onto the drawing page to designate offices.
  • You can create a space plan using data imported from an external data source. How?


Color code a facilities plan

Show me an example

  1. Make sure nothing is selected in your space plan. Then, on the Plan menu, click Color by Values.

Click to show or hide information. Tip

To color code a specific area of your space plan, select only those shapes on the drawing page before starting the Color by Values command.

  2. In the Shape Category list, select the category for the shapes that you want to color.

Click to show or hide information. Tip

To display a list of properties for all shapes in the drawing, select <All Categories>.

  3. In the Shape Property list, select the property on which you want to base the color coding.

The unique values for the selected property appear in the Sample list.

  4. In the Sample list, select the value to which you want to assign a color and pattern, and then click Change Color.
  5. In the Change Color dialog box, select a color and pattern, and then click OK.

Click to show or hide information. Tip

To assign predefined colors to all values in the Sample list, click the Recolor All button.

  6. Select the Create Legend check box to generate an explanatory list of colors on the drawing page, and then click OK.

Notes

  • If you decide to change the colors and patterns used in your space plan after it has been color coded, right-click the Legend on the drawing page, and then click Refresh. Select an item in the Samples list, click the Change Color button, and then make your changes.
  • If the properties of shapes on your space plan change, and this affects their assigned colors, update the color coding by right-clicking the Legend on the drawing page, and then clicking Refresh. In the Color by Values dialog box, click OK to reapply the color scheme.


Label space plan shapes with a custom property

  1. Select the shape or shapes to which you want to add a label.
  2. On the Plan menu, click Label Shapes.
  3. In the Label Shapes dialog box, from the Property list, select the property that you want to use as the shape's label.
  4. Select the Display property name in label check box to include the name of the property in the shape's label.

To see a sample label, view the Preview field.

  5. Click OK.


Create and select a new master to represent a category

  1. Draw the new shape you want to represent a category, or select a shape from another stencil and drag it onto the drawing page.
  2. Select the shape, and then, on the Plan menu, click Assign Category.

From the Category list, select the category to which you want to assign the shape.

  3. Add the shape to the Resources stencil to create a new master.

Click to show or hide information. How?

  1. Click the stencil icon [image] in the Resources stencil title bar, and then click Edit.
  2. Drag the shape from the drawing page onto the stencil.

The shape is now a master on the stencil. The master appears as an icon, labeled "Master.x," where x is a number.

  3. To rename the master, right-click the master icon, and then click Master Properties. Type a name in the Name box.
  4. Click the stencil icon in the Resources stencil title bar, and then click Save.
  4. Use the new master to represent the category.

Click to show or hide information. How?

  1. In the Category Explorer, under Unplaced Data, right-click the item whose master you want to change, and then click Select Master.
  2. In the Select Master dialog box, click the name of the master that you want to represent that item.

Selecting a new master does not change any shapes that are currently on the drawing page. The new master is used when you drag a new item from Unplaced Data onto the drawing page, or when you import data.


Add data manually in space plans

  1. On the View menu, click Custom Properties Window.
  2. On the drawing page, select the shape to which you would like to add data.
  3. Click in each custom property field and type or select a value.


Color coded space plan example

Space plan with color coding to show office use


Select data category

Click to show or hide information. Category

Lists all of the space plan categories. Click a category to import data for that category.

For example, click Person to import data about people or click Computer to import data about computers.

Note You can only import data for one category at a time.


Select data source

Click to show or hide information. Source

Lists the types of data sources from which you can import data. Click the source that contains your data.

For example, if your organization information is in a Microsoft Excel spreadsheet, click Excel.

To see a description of the source, click the source in the Source list, and read the description under Notes.

Click to show or hide information. File

Type the file name and path of the Excel file that contains the data, or click Browse to locate the Excel file.

This field is enabled only if Excel is selected in the Source list.

Click to show or hide information. Worksheet

Lists the Excel worksheets and the named ranges available in the Excel file. Click the Excel worksheet that contains the data you want to import.

This field is enabled only if Excel is selected in the Source list.


Select name and location information

Click to show or hide information. Name

Lists all of the fields (or columns) available in the data source. Click the field that most uniquely identifies the item in the category of information you are importing.

For example, if you are importing data about spaces, the field that most uniquely identifies the space may be Room Number. If you are importing data about people, the field that most uniquely identifies the person may be E-mail Alias.

The information in the field you choose will be displayed in the Explorer window, and in the shape text, once the data has been imported into the space plan.

Click to show or hide information. Space ID

Lists all of the fields (or columns) available in the data source. Click the field that most uniquely identifies each space.

For example, if you are importing data about spaces, select the same field that you chose for Name. If you are importing data about assets or people, select the field that matches the space ID assigned to the space shapes on the drawing page.

This field is used to place person or asset shapes on the drawing page in the space shape with the same space ID value. If this field is not assigned, shapes cannot be automatically placed in the drawing.

Click to show or hide information. Building ID

Lists all of the fields (or columns) available in the data source. If your data source includes information for multiple buildings, click the field that most uniquely identifies the building.

This field is used to filter the data source for only those records relevant to the current drawing, or building.

Building ID and Space ID cannot use the same data source field. If the Space ID field uniquely identifies each location, you do not need to assign a field to Building ID.

Click to show or hide information. Key

Lists all of the fields (or columns) available in the data source. Click the field that uniquely identifies each record in the database. The field chosen cannot contain duplicate entries.

For example, if your data is in a Microsoft Excel spreadsheet, the field that most uniquely identifies each record in the database may be Room Number (if each value in this field is unique). If your data is in a database, the primary key most uniquely identifies each record in the database.

This field links a single record in the data source to a single space shape in your drawing. If the Key field is not assigned, shapes are not linked to a record in the database. Thus shapes can be placed in the drawing when the data is imported, but they cannot be updated using the Refresh Data command.

Click to show or hide information. Preview of data

When an Excel spreadsheet or valid database table is selected, a sample of the data is displayed. The preview contains up to 10 rows of sample data for the selected spreadsheet or table.


Select drawing pages to update

Click to show or hide information. Building ID

Type or select the name of the building to be used for the filter.

Note If you selected <None> for the Building ID earlier in the wizard, this field is disabled.

Click to show or hide information. Update

All Pages Click to update the information on all pages in the drawing file.

Current Page Click to update the information on the active drawing page.

Click to show or hide information. Options

Remove unconnected shapes Select this check box to delete shapes on the page that do not have a corresponding database record. This feature works only if you assigned a Key field when importing the data.

Show report Select this check box to display a report about the changes made to the drawing.


Select ODBC data source

Click to show or hide information. Data Source

Lists the available data source names. Click the data source name (DSN) for your ODBC database.

Note You must define the data source name for the ODBC database before you can import data from the database. For information about creating a data source name, see your database administrator.

Click to show or hide information. Catalog

Lists the catalogs for the selected data source. Click the catalog for your data source.

If the selected data source contains only one catalog, it is automatically selected. If the data source does not support catalogs, such as a Microsoft Access database, the field is disabled.

Click to show or hide information. Table

Lists the tables and views, available for the selected data source. Click the name of the table that contains the data you want to import.

Click to show or hide information. Preview of data

When a valid table is selected, a sample of the data in the table is displayed. The preview contains up to 10 rows of sample data for the selected table.


Map Custom Properties

Click to show or hide information. Fields

Lists the fields (or columns) in the data source.

Click to show or hide information. Properties

Lists the predefined custom properties assigned to the category.

To create a new custom property from an item in the Fields list, under Properties, click <New>.

Click to show or hide information. Add

Maps fields to properties. To map a database field to an existing property, click an item in the Fields list, click a corresponding property in the Properties list, and then click Add.

To create a new custom property from an item in the Fields list, under Properties, click <New>, and then click Add.

Click to show or hide information. Mapped

Displays the data source fields that correspond to the property fields.

Click to show or hide information. Remove

Deletes a field and property mapping.

In the Mapped list, select an item, and then click Remove to delete the item from the list. When you delete the item from the Mapped list, the field and the custom property are no longer mapped, and those values will not be imported with your data.